Subject: [Rfced-future] Responsibilities for the rfc-editor.org web site

From: Lars Eggert <[email-masked]>
Date: Tue, 20 Jul 2021 16:59:50 +0300

Hi,

RFC8728 says in Section 2:

   The RFC Series Editor will exercise
   strategic leadership and management over the activities of the RFC
   Publisher and the RFC Production Center (both of which can be seen as
   back-office functions) and will be the entity that:
   (...)
   *  Is responsible for the content of the rfc-editor.org web site,
      which is operated and maintained by the RFC Publisher.

In other words, the content of the site is currently owned by the RSE, and the website operation and maintenance by the RPC (which is AMS, which also operates and maintains the IETF's other web presences.) The text above also lacks some clarity, for example, about who is responsible for the presentation/look&feel of the site (which has been the RSE IIRC).

I'm not aware that there has been a discussion in the program about how where these responsibilities would land in the future. (Apologies if I missed something.)

Given the changes to the role of what used to be the RSE, I think it makes sense to re-home the responsibilities for the high-level content of the site elsewhere. Personally, I think the RSAB would be a better home than the RSWG, but I could be convinced otherwise.

I think the operation and maintenance of the site should NOT remain with the RPC. It's a skillset that is completely separated from the rest of their function. Leaving it with the RPC would also fracture our we presence, if the RPC function at some future time would not be at AMS anymore. My suggestion would be to leave that responsibility with the LLC, which would likely contract it out together with operation and maintenance of our other web properties.

Thoughts?

Thanks,
Lars

---

From: Russ Housley <[email-masked]>
Date: Tue, 20 Jul 2021 10:10:57 -0400

Lars:

About a decade ago, I asked why the IETF was paying two different vendors to operate and maintain websites.  At the time the RFC Editor independently operated and maintained rfc-editor.org and the Secretariat operated and maintained the rest of the web sites.  Now, AMS operates and maintains all of the web sites, and I think that having one party do that is a good thing.  This has nothing to do with the look and feel of the sites.  For example, iab.org and ietf.org have very different look and feel, but they are operated and maintained by the same party.

Russ

> On Jul 20, 2021, at 9:59 AM, Lars Eggert <[email-masked]> wrote:
> 
> Signed PGP part
> Hi,
>

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 20 Jul 2021 11:00:32 -0700

On Tue, Jul 20, 2021 at 7:00 AM Lars Eggert <[email-masked]> wrote:

> In other words, the content of the site is currently owned by the RSE, and
> the website operation and maintenance by the RPC (which is AMS, which also
> operates and maintains the IETF's other web presences.) The text above also
> lacks some clarity, for example, about who is responsible for the
> presentation/look&feel of the site (which has been the RSE IIRC).
>
> I'm not aware that there has been a discussion in the program about how
> where these responsibilities would land in the future. (Apologies if I
> missed something.)
>
> Given the changes to the role of what used to be the RSE, I think it makes
> sense to re-home the responsibilities for the high-level content of the
> site elsewhere. Personally, I think the RSAB would be a better home than
> the RSWG, but I could be convinced otherwise.
>

Yeah, this is probably right. I would hope that the RSWG would delegate
almost all of that to whoever operates it.

-Ekr

> I think the operation and maintenance of the site should NOT remain with
> the RPC. It's a skillset that is completely separated from the rest of
> their function. Leaving it with the RPC would also fracture our we
> presence, if the RPC function at some future time would not be at AMS
> anymore. My suggestion would be to leave that responsibility with the LLC,
> which would likely contract it out together with operation and maintenance
> of our other web properties.
>
> Thoughts?
>
> Thanks,
> Lars
> --
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future
>

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 20 Jul 2021 14:06:29 -0400

I would note that this goes back to the distinction (which I am not sure 
we bother with any more) between the RFC Production Center and the RFC 
Publication Facility.   I don't mind obliterating the distinction.  But 
the RFC Publication process has to have a close relationship with the 
web site maintenance.

This is separate from the responsibility for deciding the look, feel, 
and general behavior of the RFC Editor web site.  I could live with 
moving that to the RSAB.  It seems strange to move it to the RSWG.  And 
it seems even stranger to move it to the IETF LLC, who are one customer 
of the output, and the primary funder.  It seems to conflate relationships.

Yours,
Joel

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 21 Jul 2021 08:56:24 +1200

> the RFC Publication process has to have a close relationship with the 

I think we need advice from the LLC side on this. As I understand it, 
it's a happy coincidence that the same company has both contracts today.
That isn't a given for the long term. To achieve what Lars suggests,
there might be a need for refactoring  the contracts. That seems a
bit out of scope for our draft.

> of the output, and the primary funder.  It seems to conflate relationships.

Yes, but then it's a bit like the style guide. It would seem logical for
the RSWG/RSAB to document requirements & desires for the web site,
but until further notice (see above) the implementation & operation
are RPC/RPF jobs.

   Brian

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 20 Jul 2021 17:01:58 -0400

I can probably live with saying the RPC / RPF owns the job of selecting 
and maintaining the look, feel, and content of the web site. Presumably 
in consultation with the community (RSWB?) for large changes.

Maybe that means the RSWG owns the big picture, the RSAB owns the middle 
picture, and the RPC / RPF own the details?

Yours,
Joel

---

From: Jay Daley <[email-masked]>
Date: Wed, 21 Jul 2021 11:41:15 +1200

If we look at the main website, www.ietf.org <http://www.ietf.org/> then we have the following levels/roles:

- At the strategic level, the site is owned by the IESG, which in practice is delegated to the IETF Chair.  The IETF Chair then has oversight of the levels below and is the escalation/checking point for the bigger strategic stuff and in particular is the one that decides on how the community is involved in the bigger changes. This is not documented and all a bit loose but works in practice. For example, there’s no RFC or IESG statement regarding the purpose and principles of the website, nor how it is managed.

-  At the operational level, the IETF LLC is responsible for managing the site, which includes the look and feel, SEO, accessibility, information architecture, voice and content.  The content comes from a variety of sources including extensive community contributions but the bulk of new/changed content is authored by the LLC/Secretariat. This is all within the role remit of Greg Wood as Director of Communications and Operations for the LLC who has has been working on the website for years.

- At the technical level, the CMS configuration and build is mostly outsourced to Springload via an RFP (some simple bits are done by the LLC) and is project based work. The hosting of the site is outsourced to AMS via an RFP and is generally low maintenance.

For the RFC Editor site there are a number of things to consider:

- While the RSWG can be a good place for setting the purpose and principles of the website it doesn’t ensure good coordination with the rest of the web presence and that matters to people who actually use our websites.  

For example, there was a time when rfc-editor.org <http://rfc-editor.org/> was the canonical source of information for authors but over time this has spread and we currently have documentation for authors on www.ietf.org <http://www.ietf.org/>, tools.ietf.org <http://tools.ietf.org/> and rfc-editor.org <http://rfc-editor.org/> and regularly some get out of date or don’t align.  Coordination is required to ensure that authors, particularly new ones, can get the correct information easily and that’s more than just aligning content - it may mean putting all this into a new authors site, or having rfc-editor.org <http://rfc-editor.org/> only cover AUTH48 and the other sites not to cover that.

To be clear, this coordination isn’t working correctly so having the RSWG solely responsible wouldn’t break anything but it would fix anything either.  For example, we really need to decide in a coordinated fashion across all the web presences if we are going to use rel="canonical" wherever we publish an RFC to point to the rfc-editor.org <http://rfc-editor.org/> site as the authoritative source.

I’m not sure what to suggest to fix this, but perhaps having the RSWG set the high level policy and the RSAB responsible for ensuring the coordination is better.

- While the RPC is an obvious source of content for the site, the rest of managing the site (look and feel, SEO, accessibility, information architecture, voice) is not within the contracted skill set and would sit much better with the LLC, which has the specialist skills.

- At the technical level, this site uses a much simple CMS and is all managed by AMS and nothing needs to change.

Jay

> On 21/07/2021, at 8:56 AM, Brian E Carpenter <[email-masked]> wrote:
> 

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Lars Eggert <[email-masked]>
Date: Wed, 21 Jul 2021 11:11:24 +0300

Hi,

On 2021-7-20, at 21:06, Joel M. Halpern <[email-masked]> wrote:
> I would note that this goes back to the distinction (which I am not sure we bother with any more) between the RFC Production Center and the RFC Publication Facility.   I don't mind obliterating the distinction.  But the RFC Publication process has to have a close relationship with the web site maintenance.

thanks for pointing that out. I agree that much of the functionality I wrote about is per RFC8728 Section 2.3 homed at the RFC Publisher and not the RFC Production Center.

(And yes, because both functions are contracted to AMS and handled in a very integrated fashion, it's difficult to keep them separate in my mental model.)

I think it would be worthwhile to discuss if the role of the RFC Publisher is intended to stay unchanged going forward.

Thanks,
Lars

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 21 Jul 2021 10:13:14 -0600

[ no hats ]

On 7/20/21 5:41 PM, Jay Daley wrote:
> - While the RSWG can be a good place for setting the purpose and
> principles of the website 

To reiterate a concern I expressed in our June meeting, I remain leery
of micro-management by the RSWG. If we can clearly define what's policy
and what's not, then this might be workable.

Note that currently the rfc-editor.org web site provides only a few
basic functions:

https://www.rfc-editor.org/sitemap/

I could see a "policy" that the website needs to provide the canonical
location for RFCs along with information about the series, the
publication process, how to author RFCs, how to report issues and a tool
for doing so, how to retrieve RFCs, etc. But I doubt it would be a good
use of anyone's time for the policy-making entities (RSWG and even RSAB)
to specify details about look and feel, responsive web design, and the like.

Peter

---

From: Lars Eggert <[email-masked]>
Date: Wed, 21 Jul 2021 20:20:58 +0300

So who should in your opinion hold that responsibility going forward?

-- 
Sent from a mobile device; please excuse typos.

> On Jul 21, 2021, at 19:13, Peter Saint-Andre <[email-masked]> wrote:
> 
> [ no hats ]
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 21 Jul 2021 11:29:24 -0600

> So who should in your opinion hold that responsibility going forward?

I don't have an opinion and defer to those who are more directly
involved. What Jay outlined makes some sense to me.

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 22 Jul 2021 11:05:41 +1200

> involved. What Jay outlined makes some sense to me.

I tend to agree, but there is a tendency for "professionally"
managed web sites to go all marketing and trendy rather than
being functional for geeks. Let's set things up so that cannot
happen to rfc-editor.org.

   bRIAN

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 22 Jul 2021 11:08:57 +1200

On 21-Jul-21 20:11, Lars Eggert wrote:
...
> I think it would be worthwhile to discuss if the role of the RFC Publisher is intended to stay unchanged going forward.

I've never seen any value in the production center/publisher split. Unless the LLC sees a real advantage, I would abolish it. That's distinct from potentially splitting off web site support.

   Brian

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 21 Jul 2021 17:16:54 -0600

> I've never seen any value in the production center/publisher split. Unless the LLC sees a real advantage, I would abolish it. That's distinct from potentially splitting off web site support.

Where is this split defined? In editing version 3 of the model I haven't
included it yet...

Peter

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 21 Jul 2021 19:21:20 -0400

RFC 8728 and its predecessors defines at least as far back as version 1 
of the model calls out that distinction.

Yours,
Joel

---

From: Mark Nottingham <[email-masked]>
Date: Thu, 22 Jul 2021 14:08:58 +1000

OTOH, the current rfc-editor.org web site is a mess -- it's extremely hard to find important resources, has a lot of historical information that doesn't help current authors (and isn't marked clearly as such), and is difficult to navigate. It omits many important details for authors and users of the series.

Requiring one person/group to maintain it both in terms of content, presentation and best practice for Web sites seems unrealistic. What I'd suggest is that the site be the responsibility of the RPC, but that they're required to keep the source for it open (e.g., in a repo somewhere) so that people can make suggestions for additional content, design improvements, or corrections with a low barrier to entry. That would require some kind of review/approval process, but I suspect that we could settle on that pretty easily; The RPC can take small / obvious improvements on their own initiative, contentious / invasive ones are bumped up to the RSWG/RSAB.

(An argument could be made that someone other than the RPC is more appropriate for that role; I'm not stuck on it).

This is how we maintain httpwg.org and quicwg.org, and it works reasonably well. Given that we want things to be transparent, open and community-led, I think it's reasonable to require this.

Cheers,

> On 22 Jul 2021, at 2:13 am, Peter Saint-Andre <[email-masked]> wrote:
> 
> [ no hats ]
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 22 Jul 2021 13:30:01 +0000

Via out-of-band "please don't make it all markety-markety."  This kind of style decision does not belong in the future RFC.

---

From: Eliot Lear <[email-masked]>
Date: Thu, 22 Jul 2021 11:11:11 -0400

Thanks, Rich.  To Mark (and others) I would ask what needs to be in the 
current doc so that The Right Thing can happen later (assuming you agree 
that we don't have to engineer web sites now ;-)

Eliot

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 23 Jul 2021 09:10:42 +1200

> that we don't have to engineer web sites now ;-)

Pretty much nothing in the draft, I think. It's largely an operational
matter for RPC + LLC. But I would expect the look & feel and functionality
of the site to become a topic of interest for the RSWG sooner or later.

   Brian

>> Via out-of-band "please don't make it all markety-markety."  This kind 
of style decision does not belong in the future RFC.

---

From: "StJohns, Michael" <[email-masked]>
Date: Thu, 22 Jul 2021 17:25:47 -0400

I’m confused as to how the website look and feel and/or functionality is a
“strategic” issue.  The RSWG as a collective entity has only one path to
affect the RFC function - writing documents for approval of the RSAB.  I
would be shocked if the L&F and functionality specification would benefit
from being institutionalized as an RFC.

 I can see the LLC, RSAB, and RSCE(?) engaging with various members of the
RSWG, and with the community for input - but that doesn’t translate to this
being within either the responsibility or authority of the RSWG.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 23 Jul 2021 09:49:22 +1200

On 23-Jul-21 09:25, StJohns, Michael wrote:
> I’m confused as to how the website look and feel and/or functionality is a “strategic” issue.  The RSWG as a collective entity has only one path to affect the RFC function - writing documents for approval of the RSAB.  I would be shocked if the L&F and functionality specification would benefit from being institutionalized as an 
RFC. 

Well, we'll see, won't we? If the community at some point decides that
this *is* a strategic issue, the RSWG will presumably take it up. I don't
think we need to legislate about it today.

   Brian
 
>  I can see the LLC, RSAB, and RSCE(?) engaging with various members of the RSWG, and with the community for input - but that doesn’t translate to this being within either the responsibility or authority of the RSWG.     
> 
> 
> 
> On Thu, Jul 22, 2021 at 17:11 Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     >>      happen to rfc-editor.org <http://rfc-editor.org>.
>     >>
>     [email-masked] <mailto:[email-masked]>
>     https://www.iab.org/mailman/listinfo/rfced-future <https://www.iab.org/mailman/listinfo/rfced-future>
>

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 23 Jul 2021 09:16:09 +1000

I think I agree that the process we've defined should be adequate - i.e., we'd have a discussion in the WG about what's important (e.g., major bits of content, processes for changing the site, etc.), we'd make sure to involve the appropriate people (the RPC, if they're running the site currently; the LLC; etc.) and then write down what we agree to, ship that as an RFC (after appropriate review/approval) and then execute upon it.

Does that make sense to everyone?

> On 23 Jul 2021, at 1:11 am, Eliot Lear <[email-masked]> wrote:
> 
> Thanks, Rich.  To Mark (and others) I would ask what needs to be in the current doc so that The Right Thing can happen later (assuming you agree that we don't have to engineer web sites now ;-)
> 
> Eliot
>

---

From: Jay Daley <[email-masked]>
Date: Fri, 23 Jul 2021 12:12:43 +1200

> On 23/07/2021, at 11:16 AM, Mark Nottingham <[email-masked]> wrote:
> 

Yes.  When it comes to that I’ll be inclined to Mike’s view that we don’t want to overdo it with RFCs at inappropriate levels of detail but the general ability for the RSWG to agree a controlling RFC is fine by me (it’s how almost everything else works after all).

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Lars Eggert <[email-masked]>
Date: Fri, 23 Jul 2021 09:56:00 +0300

Hi,

> Yes.  When it comes to that I’ll be inclined to Mike’s view that we don’t want to overdo it with RFCs at inappropriate levels of detail but the general ability for the RSWG to agree a controlling R…

so would that mean that RFC8728 remains in effect, and the responsibilities for the website remain with the (now) RSCE and the RFC Publisher?

Or would we update that to (say) a model where the RSAB takes over the website responsibilities the RSE had under RFC8728, and the LLC may decide to take on the RFC Publisher responsibilities and likely manage them alongside our other web properties?

(I understand this is a minor point to many.)

Thanks,
Lars

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 23 Jul 2021 10:46:19 -0600

> so would that mean that RFC8728 remains in effect, and the responsibilities for the website remain with the (now) RSCE and the RFC Publisher?

For what it's worth, the current program I-D does state:

   Matters on which the RSEA might be consulted could include proposed
   changes to the RFC style guide [RFC7322], RFC formatting in general,
   web presence, copyright matters, archiving policy, and dissemination
   and cataloguing of RFCs.

That, however, does not assign *responsibility* for the web site.

> Or would we update that to (say) a model where the RSAB takes over the website responsibilities the RSE had under RFC8728, and the LLC may decide to take on the RFC Publisher responsibilities and l…

That seems like a reasonable starting point.

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 24 Jul 2021 09:04:22 +1200

On 24-Jul-21 04:46, Peter Saint-Andre wrote:
>>> Yes.  When it comes to that I’ll be inclined to Mike’s view that we don’t want to overdo it with RFCs at inappropriate 
levels of detail but the general ability for the RSWG to agree a controlling RFC is fine by me (it’s how almost everything else works after all).
>> Or would we update that to (say) a model where the RSAB takes over the 
website responsibilities the RSE had under RFC8728, and the LLC may decide to take on the RFC Publisher responsibilities and likely manage them alongside our other web properties?
> That seems like a reasonable starting point.

I disagree. The specific text in 8728 is that the RFC Series Editor "Is responsible for the content of the rfc-editor.org web site..." and I think 
it would be unreasonable to pass that responsibility to a committee. I would certainly expect the RSWG and the RSAB to take a strong interest in the web site and even to make recommendations, but responsibility for the content is an executive job, not a committee job. I think it has to lie with the RPC.

   Brian